ManifestHeaderValue
Date: 2014-12-13

org.apache.ivy.osgi.core

## Class ManifestHeaderValue

- java.lang.Object
- - org.apache.ivy.osgi.core.ManifestHeaderValue

-     public class ManifestHeaderValue
      extends java.lang.Object

  Parse a header of a manifest. The manifest header is composed with the following rules:

       header ::= header-element (',' header-element)*
       header-element ::= values (';' (attribute | directive) )*
       values ::= value (';' value)*
       value ::= <any string value that does not have ';' or ','>
       attribute ::= key '=' value
       directive ::= key '=' value
       key ::= token
       value ::= token | quoted-string | double-quoted-string

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestHeaderValue(java.lang.String header)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.List<ManifestHeaderElement>` | `getElements()`
    `java.lang.String` | `getSingleValue()`
    `java.util.List<java.lang.String>` | `getValues()`
    `java.lang.String` | `toString()`
    `static void` | `writeParseException(java.io.PrintStream out, java.lang.String source, java.text.ParseException e)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestHeaderValue

          public ManifestHeaderValue(java.lang.String header)
                              throws java.text.ParseException

      Throws:
        `java.text.ParseException`

  - ### Method Detail

    - #### getElements

          public java.util.List<ManifestHeaderElement> getElements()

    - #### getSingleValue

          public java.lang.String getSingleValue()

    - #### getValues

          public java.util.List<java.lang.String> getValues()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### writeParseException

          public static void writeParseException(java.io.PrintStream out,
                                 java.lang.String source,
                                 java.text.ParseException e)